org.h2.engine

## Enum Session.State

- java.lang.Object
- - java.lang.Enum<Session.State>
  - - org.h2.engine.Session.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Session.State>

Enclosing class:
  Session

    public static enum Session.State
    extends java.lang.Enum<Session.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCKED`
`CLOSED`
`INIT`
`RUNNING`
`SLEEP`
`SUSPENDED`
`THROTTLED`

### Method Summary

Methods
`static Session.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Session.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INIT

    public static final Session.State INIT

#### RUNNING

    public static final Session.State RUNNING

#### BLOCKED

    public static final Session.State BLOCKED

#### SLEEP

    public static final Session.State SLEEP

#### THROTTLED

    public static final Session.State THROTTLED

#### SUSPENDED

    public static final Session.State SUSPENDED

#### CLOSED

    public static final Session.State CLOSED

### Method Detail

#### values

    public static Session.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Session.State c : Session.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Session.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null